# Class SpringAIProperties

java.lang.Object
com.google.adk.models.springai.properties.SpringAIProperties

@ConfigurationProperties(prefix="adk.spring-ai") @Validated public class SpringAIProperties extends Object
Configuration properties for Spring AI integration with ADK.

These properties provide validation and default values for Spring AI model configurations used with the ADK SpringAI wrapper.

Example configuration:

    adk.spring-ai.temperature=0.7
    adk.spring-ai.max-tokens=2048
    adk.spring-ai.top-p=0.9
    adk.spring-ai.validation.enabled=true

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SpringAIProperties.Observability`
  Observability configuration settings.
  `static class`
  `SpringAIProperties.Validation`
  Configuration validation settings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpringAIProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getMaxTokens()`
  `String`
  `getModel()`
  `SpringAIProperties.Observability`
  `getObservability()`
  `Double`
  `getTemperature()`
  `Integer`
  `getTopK()`
  `Double`
  `getTopP()`
  `SpringAIProperties.Validation`
  `getValidation()`
  `void`
  `setMaxTokens(Integer maxTokens)`
  `void`
  `setModel(String model)`
  `void`
  `setObservability(SpringAIProperties.Observability observability)`
  `void`
  `setTemperature(Double temperature)`
  `void`
  `setTopK(Integer topK)`
  `void`
  `setTopP(Double topP)`
  `void`
  `setValidation(SpringAIProperties.Validation validation)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpringAIProperties

    public SpringAIProperties()

- ## Method Details

  - ### getModel

    public String getModel()

  - ### setModel

    public void setModel(String model)

  - ### getTemperature

    public Double getTemperature()

  - ### setTemperature

    public void setTemperature(Double temperature)

  - ### getMaxTokens

    public Integer getMaxTokens()

  - ### setMaxTokens

    public void setMaxTokens(Integer maxTokens)

  - ### getTopP

    public Double getTopP()

  - ### setTopP

    public void setTopP(Double topP)

  - ### getTopK

    public Integer getTopK()

  - ### setTopK

    public void setTopK(Integer topK)

  - ### getValidation

    public SpringAIProperties.Validation getValidation()

  - ### setValidation

    public void setValidation(SpringAIProperties.Validation validation)

  - ### getObservability

    public SpringAIProperties.Observability getObservability()

  - ### setObservability

    public void setObservability(SpringAIProperties.Observability observability)